Skip to main content
POST
/
orders
/
{id}
/
shipping
/
cancel
Cancel Booking
curl --request POST \
  --url https://api.bitbybit.studio/customer/api/open/v1/orders/{id}/shipping/cancel \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "reason": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "fee": 123,
    "shippingStatus": "<string>",
    "awb": "<string>",
    "trackingUrl": "<string>",
    "driverName": "<string>",
    "driverPhone": "<string>",
    "pickupSchedule": "2023-11-07T05:31:56Z",
    "shippingNotes": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

id
string
required

Order ID — the unique identifier of the order.

Body

application/json
reason
string

Optional cancellation reason — surfaced to couriers that accept one (e.g. RideBlitz, KiriminAja Express).

Maximum string length: 500

Response

Booking cancelled

data
object

Summary view of an order's shipping method, returned by the shipping action endpoints.